Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# oscl_procstatus.h

Go to the documentation of this file.

    00001 // -*- c++ -*-
    00002
    00003 // = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
    00004
    00005
    00006
    00007 //                  OSCL_T H R E A D (T H R E A D  I M P L E M E N T A T I O N)
    00008
    00009
    00010
    00011 // = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =
    00012
    00013
    00014
    00025 #ifndef OSCL_PROCSTATUS_H_INCLUDED
    00026
    00027 #define OSCL_PROCSTATUS_H_INCLUDED
    00028
    00029
    00030
    00037 class OsclProcStatus
    00038 {
    00039
    00040
    00041
    00042
    00043
    00044     public:
    00045
    00046
    00047
    00048 // Enumerated Error values
    00049
    00050
    00051
    00058         enum eOsclProcError
    00059         {
    00060             SUCCESS_ERROR = 0,                  // Function returned succesfully
    00061             OTHER_ERROR,                        // Function returned some error
    00062             TOO_MANY_THREADS_ERROR,             // Cannot create another thread
    00063             BAD_THREADID_ADDR_ERROR,            // The address for the thread id is not correct
    00064             MAX_THRDS_REACHED_ERROR,            // No more threads can be created in the system
    00065             INVALID_THREAD_ID_ERROR,            // Invalid thread identifier
    00066             NOT_ENOUGH_MEMORY_ERROR,            // Not enough storage is available to process this command
    00067             OUTOFMEMORY_ERROR,                  // Not enough storage is available to complete this operation
    00068             NOT_ENOUGH_RESOURCES_ERROR,         // Not Enough resources available
    00069             THREAD_1_INACTIVE_ERROR,            // The signal handler cannot be set
    00070             ALREADY_SUSPENDED_ERROR,            // Thread is already suspended
    00071             NOT_SUSPENDED_ERROR,                // Thread cannot be suspended
    00072             INVALID_THREAD_ERROR,               // Referring to invalid thread
    00073             INVALID_PARAM_ERROR,                // Invalid parameter passed in the API
    00074             NO_PERMISSION_ERROR,                // Operation not permitted
    00075             INVALID_PRIORITY_ERROR,             // Priority is not a valid OSCL priority
    00076             PSHARED_NOT_ZERO_ERROR,             // Trying to create global semaphore
    00077             EXCEED_MAX_COUNT_VARIABLE_ERROR,    // Exceeding maximum possible value for semaphore count
    00078             THREAD_BLOCK_ERROR,                 // Thread is blocked
    00079             EXCEED_MAX_SEM_COUNT_ERROR,         // Out of range of semaphore count
    00080             INVALID_HANDLE_ERROR,               // Invalid handle
    00081             INVALID_OPERATION_ERROR,            // Invalid operation
    00082             INVALID_FUNCTION_ERROR,
    00083             INVALID_ACCESS_ERROR,
    00084             INVALID_ARGUMENT_ERROR,
    00085             SYSTEM_RESOURCES_UNAVAILABLE_ERROR,
    00086             INVALID_POINTER_ERROR,
    00087             RELOCK_MUTEX_ERROR,
    00088             THREAD_NOT_OWN_MUTEX_ERROR,
    00089             MUTEX_LOCKED_ERROR,
    00090             WAIT_ABANDONED_ERROR,//thread terminated while waiting
    00091             WAIT_TIMEOUT_ERROR, //timed wait expired without acquiring
    00092             SEM_NOT_SIGNALED_ERROR, //trywait returned without acquiring
    00093             PSHARED_ATTRIBUTE_SETTING_ERROR,   // Error at setting pthread attributes
    00094             NOT_IMPLEMENTED //function not implemented on this platform.
    00095         } ;
    00096
    00097
    00098
    00099 };
    00100
    00101
    00102
    00103 #endif
    00104